Bulk invite investors

Create multiple orders in the Fund with the supplied fundId.

This is an asynchronous API, which means the supplied orders will be created in the background after the API returns. The response of this API contains a requestId, which can be used to query the progress of the order creation process via the Query Request Status API.

This API allows creating up to 100 orders in a single request. As all asynchronous requests, the background process of this API is allowed to take a relatively long time to finish. The current limit is 60 minutes to complete the background process for each asynchronous request. If a request takes longer than this limit, it will be terminated and the API is considered partially completed. For example, an asynchronous request to create 100 orders is terminated due to timeout after 60 minutes, and only 90 orders have been created before the request is terminated, which results in a partial completion of this request. The Query Request Status API will return the status of each order independently, showing 90 created orders and 10 failed to create orders.

For more information about asynchronous requests, refer to the Synchronous vs. Asynchronous APIsin the main Developer API documentation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Anduin ID of the Fund object, or your custom ID

Body Params
enum

The type of the order, which is used to determine whether to invite the order contacts or not. There can be 2 values, you can use either number or string (case sensitive) for selecting type:

  • 0/"NORMAL": Contacts will be invited
  • 1/"OFFLINE": Contacts will not be invited

The default value is 0/"NORMAL".

string

The Id of the close to associate with the order

orders
array of objects
required
length ≥ 1

The non-empty list of parameters to create orders

orders*
string

Customer defined custom ID to assign to the order

contacts
array of objects
length ≥ 1

A non empty list of the order's contact information. The first contact in the list is the order's default contact.

contacts
string
required

Name of the order's investment entity

string

Expected commitment amount of the order

tags
array of strings

List of tags to assign to the order

tags
formData
object

Import data to the specified template templateId

metadata
object

Order metadata stored as (key-value) pairs

collaboratorOrgs
array of objects
collaboratorOrgs
string

The Id of the investor group object

customColumnsData
array of objects
customColumnsData
emailTemplate
object

LP Invitation Email Template, for more information, please visit our documentation. If you do not specify the template, the default one will be applied.

string

Id of the form data template to pre-fill subscription documents

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json